Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.conf
Interface Configuration

All Superinterfaces:
  BeanInfo, Cloneable, Serializable

All Known Subinterfaces:
  EEConfiguration, EEConfiguration, JDBCConfiguration

All Known Implementing Classes:
  DefaultConfiguration

public interface Configuration
extends Serializable, Cloneable, BeanInfo

Configuration defines the properties necessary to configure runtime properties and connect to a data source.

Any property names ending in `Properties` can be used to configure the object they pertain to using a simple properties-style string. For example, if the set `DataCacheClass` has methods `setMaxSize(int)` and `setRemoteHost(String,int)`, then these properties can be set using a `DataCacheProperties` string like: `maxSize=500 remoteHost=cacheserver.xyz.com,8080`

The following is a list of recognized properties:

- com.solarmetric.kodo.LicenseKey
- com.solarmetric.kodo.PersistenceManagerClass
- com.solarmetric.kodo.PersistenceManagerProperties
- com.solarmetric.kodo.ConnectionProperties
- com.solarmetric.kodo.DataCacheClass
- com.solarmetric.kodo.DataCacheProperties
- com.solarmetric.kodo.DefaultDataCacheTimeout
- com.solarmetric.kodo.DefaultFetchThreshold
- com.solarmetric.kodo.DefaultFetchBatchSize
- com.solarmetric.kodo.RemoteCommitProviderClass
- com.solarmetric.kodo.RemoteCommitProviderProperties
- com.solarmetric.kodo.EnableQueryExtensions
- com.solarmetric.kodo.QueryFilterListeners
- com.solarmetric.kodo.ProxyManagerClass
- com.solarmetric.kodo.ProxyManagerProperties
- com.solarmetric.kodo.QueryCacheClass
- com.solarmetric.kodo.QueryCacheProperties
- com.solarmetric.kodo.CacheReferenceSize
- com.solarmetric.kodo.PersistentTypes
- com.solarmetric.kodo.FetchGroups
- com.solarmetric.kodo.FlushBeforeQueries
- com.solarmetric.kodo.TransactionCacheClass
- com.solarmetric.kodo.TransactionCacheProperties
- com.solarmetric.kodo.TransactionMode
- javax.jdo.PersistenceManagerFactoryClass
- javax.jdo.option.Optimistic
- javax.jdo.option.RetainValues
- javax.jdo.option.RestoreValues
- javax.jdo.option.IgnoreCache
- javax.jdo.option.NontransactionalRead
- javax.jdo.option.NontransactionalWrite
- javax.jdo.option.Multithreaded
- javax.jdo.option.ConnectionUserName
- javax.jdo.option.ConnectionPassword
- javax.jdo.option.ConnectionURL
- javax.jdo.option.ConnectionDriverName
- javax.jdo.option.ConnectionFactoryName
- javax.jdo.option.ConnectionFactory2Name
- javax.jdo.option.MinPool
- javax.jdo.option.MaxPool
- javax.jdo.option.MsWait

All setter methods that take primitive parameters also have wrapper setters with the appropriate primitive wrapper. This is so the Configuration interface can be in accordance with the J2EE Connection Architecture.

Field Summary
`static String` | `LOG_CACHE` PMF-level cache-related messages.
`static String` | `LOG_CONF` Configuration messages.
`static String` | `LOG_ENHANCE` Enhancer and app id tool logging constant.
`static String` | `LOG_METADATA` Metadata and mapping-related stuff logging constant.
`static String` | `LOG_PERFORMANCE` Information about Kodo performance.
`static String` | `LOG_PORTABILITY` Information about JDO portability.
`static String` | `LOG_QUERY` Query + query extension messages logging constant.
`static String` | `LOG_RUNTIME` Runtime system messages: pmfactory, pm, store manager logging constant.

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Method Summary
`Object` | `clone()` Returns a clone of this Configuration.
`Configuration` | `configurationClone()` Return a new Configuration that is an exact copy of this one.
`void` | `freeze()` Freeze this Configuration; if frozen, calls to any setter methods will throw a `JDOUserException`.
`void` | `fromProperties(Properties properties)` Set this Configuration via the given Properties.
`int` | `getCacheReferenceSize()` Returns the number of hard references to objects that the `PersistenceManager`'s cache will retain.
`String` | `getConnectionDriverName()` Class name of the Connection Driver.
`Object` | `getConnectionFactory()` The connection factory, possibly from JNDI.
`Object` | `getConnectionFactory2()` The connection factory, possibly from JNDI.
`String` | `getConnectionFactory2Name()` The name for the second data store connection factory.
`String` | `getConnectionFactory2Properties()` Property String to use to configure the ConnectionFactory2.
`String` | `getConnectionFactoryName()` The name for the data store connection factory.
`String` | `getConnectionPassword()` The password for the data store connection.
`String` | `getConnectionProperties()` Get the properties string to apply to the connection factory.
`Properties` | `getConnectionPropertiesProps()` Returns the ConnectionFactory properties as a `Properties` object.
`String` | `getConnectionURL()` The URL for the data store connection.
`String` | `getConnectionUserName()` The user name for the data store connection.
`DataCache` | `getDataCache()` The L2 data cache.
`String` | `getDataCacheClass()` The class to use for level-2 data store caching.
`String` | `getDataCacheProperties()` Configuration options for the data cache.
`double` | `getDefaultDataCacheTimeout()` Default data cache timeout.
`int` | `getDefaultFetchBatchSize()` Get the size of the batch that will be pre-selected when accessing elements in a Query result.
`int` | `getDefaultFetchThreshold()` Get the threshold below which result lists will be completely instantiated upon theircreation.
`boolean` | `getEnableQueryExtensions()` Allow filter extensions to be used
`String[]` | `getFetchGroupNames()` Returns an array of fetch groups with which all `PersistenceManager` objects obtained from a `PersistenceManagerFactory` should be configured.
`String` | `getFetchGroups()` Returns a list of fetch groups with which all `PersistenceManager` objects obtained from a `PersistenceManagerFactory` should be configured.
`String` | `getFlushBeforeQueries()` Returns whether or not Kodo should automatically flush modifications to the data store before executing queries.
`int` | `getFlushBeforeQueriesMode()` Returns one of `KodoQuery.FLUSH_ALWAYS_MODE`, `KodoQuery.FLUSH_NEVER_MODE`, or `KodoQuery.FLUSH_WITH_CONNECTION_MODE`, as determined by parsing the string returned by `getFlushBeforeQueries()`.
`boolean` | `getIgnoreCache()` The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.
`String` | `getLicenseKey()` The runtime license key for Kodo.
`int` | `getMaxPool()` The maximum number of connections in the connection pool.
`int` | `getMinPool()` The minimum number of connections in the connection pool.
`int` | `getMsWait()` The number of milliseconds to wait for an available connection from the connection pool before throwing a JDODatastoreException.
`boolean` | `getMultithreaded()` The default Multithreaded setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getNontransactionalRead()` The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getNontransactionalWrite()` The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getOptimistic()` The default Optimistic setting for all PersistenceManager instances obtained from this factory.
`String` | `getPersistenceManagerClass()` The class name of the `PersistenceManager` type to create.
`String` | `getPersistenceManagerFactoryClass()` Class name of the PersistenceManagerFactoryClass implementation
`String` | `getPersistenceManagerProperties()` Configuration options for the persistence manager.
`String[]` | `getPersistentTypeNames()` Returns an array of names of the persistent types in the PersistentTypes property, or null if no types were listed in the property.
`String` | `getPersistentTypes()` Returns a list of persistent types that are to be registered every time a `PersistenceManager` is obtained from a `PersistenceManagerFactory`.
`ProxyManager` | `getProxyManager()` The proxy manager.
`String` | `getProxyManagerClass()` The manager for second class object proxies.
`String` | `getProxyManagerProperties()` Configuration for the proxy manager.
`QueryCache` | `getQueryCache()` The L2 query cache.
`String` | `getQueryCacheClass()` The class to use for level-2 data store query caching.
`String` | `getQueryCacheProperties()` Configuration options for the query cache.
`FilterListener[]` | `getQueryFilterListenerInstances()` set the FilterListeners properties
`String` | `getQueryFilterListeners()` Set the FilterListeners properties
`String` | `getRemoteCommitProviderClass()` The class to use for remote commit notification.
`String` | `getRemoteCommitProviderProperties()` Configuration options for the remote commit provider.
`boolean` | `getRestoreValues()` The default RestoreValues setting for all PersistenceManager instances obtained from this factory.
`String` | `getResultListClass()` Returns the implementation of `ResultList` that will be used to return query results.
`String` | `getResultListProperties()` Returns the property string that will be used to configure the resultlist specified by `setResultListClass(java.lang.String)`.
`boolean` | `getRetainValues()` The default RetainValues setting for all PersistenceManager instances obtained from this factory.
`String` | `getTransactionCacheClass()` The class to use for the PM transaction cache.
`String` | `getTransactionCacheProperties()` Configuration options for the PM transaction cache.
`String` | `getTransactionMode()` Specifys the behavior of the transaction model.
`boolean` | `getTransactionModeIsXA()` Returns whether XA transactions should be used or not.
`boolean` | `getUseSoftTransactionCache()` Return `true` if the `PersistenceManager` should maintain soft references to objects in the transactional cache.
`boolean` | `isFrozen()` Return true if this Configuration has been frozen.
`void` | `setCacheReferenceSize(int size)` Set the number of hard references to objects that the `PersistenceManager`'s cache will retain.
`void` | `setCacheReferenceSize(Integer size)` Wrapper setter for `setCacheReferenceSize(int)`.
`void` | `setConnectionDriverName(String driverName)` Class name of the Connection Driver.
`void` | `setConnectionFactory(Object factory)` The connection factory.
`void` | `setConnectionFactory2(Object factory)` The connection factory.
`void` | `setConnectionFactory2Name(String cf2Name)` The name for the second data store connection factory.
`void` | `setConnectionFactory2Properties(String props)` Property String to use to configure the ConnectionFactory2.
`void` | `setConnectionFactoryName(String cfName)` The name for the data store connection factory.
`void` | `setConnectionPassword(String connectionPassword)` The password for the data store connection.
`void` | `setConnectionProperties(String connectionProperties)` Set the properties string to apply to the connection factory.
`void` | `setConnectionURL(String connectionURL)` The URL for the data store connection.
`void` | `setConnectionUserName(String connectionUserName)` The user name for the data store connection.
`void` | `setDataCache(DataCache cache)` The L2 data cache.
`void` | `setDataCacheClass(String dataCacheClass)` The class to use for level-2 data store caching.
`void` | `setDataCacheProperties(String props)` Configuration options for the data cache.
`void` | `setDefaultDataCacheTimeout(double timeout)` Default data cache timeout.
`void` | `setDefaultDataCacheTimeout(Double timeout)` Wrapper setter for `setDefaultDataCacheTimeout(double)`.
`void` | `setDefaultFetchBatchSize(int size)` Set the size of the batch that will be pre-selected when accessing elements in a Query result.
`void` | `setDefaultFetchBatchSize(Integer size)` Wrapper setter for `setDefaultFetchBatchSize(int)`.
`void` | `setDefaultFetchThreshold(int threshold)` Set the threshold below which result lists will be completely instantiated upon their creation.
`void` | `setDefaultFetchThreshold(Integer threshold)` Wrapper setter for `setDefaultFetchThreshold(int)`.
`void` | `setEnableQueryExtensions(boolean enable)` Set whether filter extensions can be used
`void` | `setEnableQueryExtensions(Boolean enable)` Wrapper setter for `setEnableQueryExtensions(boolean)`.
`void` | `setFetchGroups(String groups)` Sets a list of fetch groups with which all `PersistenceManager` objects obtained from a `PersistenceManagerFactory` should be configured.
`void` | `setFlushBeforeQueries(String flush)` Sets whether or not Kodo should automatically flush modifications to the data store before executing queries.
`void` | `setIgnoreCache(boolean ignoreCache)` The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.
`void` | `setIgnoreCache(Boolean ignoreCache)` Wrapper setter for `setIgnoreCache(boolean)`.
`void` | `setLicenseKey(String licenseKey)` The runtime license key for Kodo.
`void` | `setMaxPool(int maxPool)` The maximum number of connections in the connection pool.
`void` | `setMaxPool(Integer maxPool)` Wrapper setter for `setMaxPool(int)`.
`void` | `setMinPool(int minPool)` The minimum number of connections in the connection pool.
`void` | `setMinPool(Integer minPool)` Wrapper setter for `setMinPool(int)`.
`void` | `setMsWait(int msWait)` The number of milliseconds to wait for an available connection from the connection pool before throwing a JDODatastoreException.
`void` | `setMsWait(Integer msWait)` Wrapper setter for `setMsWait(int)`.
`void` | `setMultithreaded(boolean multithreaded)` The default Multithreaded setting for all PersistenceManager instances obtained from this factory.
`void` | `setMultithreaded(Boolean multithreaded)` Wrapper setter for `setMultithreaded(boolean)`.
`void` | `setNontransactionalRead(boolean ntRead)` The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.
`void` | `setNontransactionalRead(Boolean ntRead)` Wrapper setter for `setNontransactionalRead(boolean)`.
`void` | `setNontransactionalWrite(boolean ntWrite)` The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.
`void` | `setNontransactionalWrite(Boolean ntWrite)` Wrapper setter for `setNontransactionalWrite(boolean)`.
`void` | `setOptimistic(boolean optimistic)` The default Optimistic setting for all PersistenceManager instances obtained from this factory.
`void` | `setOptimistic(Boolean optimistic)` Wrapper setter for `setOptimistic(boolean)`.
`void` | `setPersistenceManagerClass(String pmClass)` The class name of the `PersistenceManager` type to create.
`void` | `setPersistenceManagerFactoryClass(String pmfName)` Class name of the PersistenceManagerFactoryClass implementation.
`void` | `setPersistenceManagerProperties(String props)` Configuration options for the persistence manager.
`void` | `setPersistentTypes(String types)` Sets a list of persistent types that are to be registered every time a `PersistenceManager` is obtained from a `PersistenceManagerFactory`.
`void` | `setProxyManager(ProxyManager manager)` The proxy manager.
`void` | `setProxyManagerClass(String proxyClass)` The manager for second class object proxies.
`void` | `setProxyManagerProperties(String props)` Configuration for the proxy manager.
`void` | `setQueryCache(QueryCache cache)` The L2 query cache.
`void` | `setQueryCacheClass(String dataCacheClass)` The class to use for level-2 data store query caching.
`void` | `setQueryCacheProperties(String props)` Configuration options for the query cache.
`void` | `setQueryFilterListenerInstances(FilterListener[] listeners)` Set the FilterListeners config properties
`void` | `setQueryFilterListeners(String props)` Set the FilterListeners config properties
`void` | `setRemoteCommitProviderClass(String str)` The class to use for remote commit notification.
`void` | `setRemoteCommitProviderProperties(String props)` Configuration options for the remote commit provider.
`void` | `setRestoreValues(boolean restoreValues)` The default RestoreValues setting for all PersistenceManager instances obtained from this factory.
`void` | `setRestoreValues(Boolean restoreValues)` Wrapper setter for `setRestoreValues(boolean)`.
`void` | `setResultListClass(String clsName)` Sets the implementation of `ResultList` that will be used to return query results.
`void` | `setResultListProperties(String props)` Sets the property string that will be used to configure the resultlist specified by `setResultListClass(java.lang.String)`.
`void` | `setRetainValues(boolean retainValues)` The default RetainValues setting for all PersistenceManager instances obtained from this factory.
`void` | `setRetainValues(Boolean retainValues)` Wrapper setter for `setRetainValues(boolean)`.
`void` | `setTransactionCacheClass(String transactionCacheClass)` The class to use for the PM transaction cache.
`void` | `setTransactionCacheProperties(String props)` Configuration options for the PM transaction cache.
`void` | `setTransactionMode(String mode)` Specifys the behavior of the transaction model.
`void` | `setUseSoftTransactionCache(boolean val)` Set whether or not the `PersistenceManager` should maintain soft references to objects in the transactional cache.
`void` | `setUseSoftTransactionCache(Boolean val)` Wrapper setter for `setUseSoftTransactionCache(boolean)`.
`Properties` | `toProperties()` A Properties representation of this Configuration.

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Field Detail

### LOG_METADATA

    public static final String LOG_METADATA

  Metadata and mapping-related stuff logging constant. Controlled by com.solarmetric.kodo.MetaData

### LOG_ENHANCE

    public static final String LOG_ENHANCE

  Enhancer and app id tool logging constant. Controlled by com.solarmetric.kodo.Enhance

### LOG_QUERY

    public static final String LOG_QUERY

  Query + query extension messages logging constant. Controlled by com.solarmetric.kodo.Query

### LOG_RUNTIME

    public static final String LOG_RUNTIME

  Runtime system messages: pmfactory, pm, store manager logging constant. Controlled by com.solarmetric.kodo.Runtime

### LOG_CONF

    public static final String LOG_CONF

  Configuration messages. Controlled by com.solarmetric.kodo.Configuration

### LOG_CACHE

    public static final String LOG_CACHE

  PMF-level cache-related messages. Controlled by com.solarmetric.kodo.DataCache

### LOG_PORTABILITY

    public static final String LOG_PORTABILITY

  Information about JDO portability. Controlled by com.solarmetric.kodo.Portability

### LOG_PERFORMANCE

    public static final String LOG_PERFORMANCE

  Information about Kodo performance. Controlled by com.solarmetric.kodo.Performance

Method Detail

### getLicenseKey

    public String getLicenseKey()

  The runtime license key for Kodo.

### setLicenseKey

    public void setLicenseKey(String licenseKey)

  The runtime license key for Kodo.

### getPersistenceManagerClass

    public String getPersistenceManagerClass()

  The class name of the `PersistenceManager` type to create.

### setPersistenceManagerClass

    public void setPersistenceManagerClass(String pmClass)

  The class name of the `PersistenceManager` type to create.

### getPersistenceManagerProperties

    public String getPersistenceManagerProperties()

  Configuration options for the persistence manager.

### setPersistenceManagerProperties

    public void setPersistenceManagerProperties(String props)

  Configuration options for the persistence manager.

### getRemoteCommitProviderClass

    public String getRemoteCommitProviderClass()

  The class to use for remote commit notification.

### setRemoteCommitProviderClass

    public void setRemoteCommitProviderClass(String str)

  The class to use for remote commit notification.

### getRemoteCommitProviderProperties

    public String getRemoteCommitProviderProperties()

  Configuration options for the remote commit provider.

### setRemoteCommitProviderProperties

    public void setRemoteCommitProviderProperties(String props)

  Configuration options for the remote commit provider.

### getDataCacheClass

    public String getDataCacheClass()

  The class to use for level-2 data store caching.

### setDataCacheClass

    public void setDataCacheClass(String dataCacheClass)

  The class to use for level-2 data store caching.

### getDataCacheProperties

    public String getDataCacheProperties()

  Configuration options for the data cache.

### setDataCacheProperties

    public void setDataCacheProperties(String props)

  Configuration options for the data cache.

### getDefaultDataCacheTimeout

    public double getDefaultDataCacheTimeout()

  Default data cache timeout.

### setDefaultDataCacheTimeout

    public void setDefaultDataCacheTimeout(double timeout)

  Default data cache timeout.

### setDefaultDataCacheTimeout

    public void setDefaultDataCacheTimeout(Double timeout)

  Wrapper setter for `setDefaultDataCacheTimeout(double)`.

### getDataCache

    public DataCache getDataCache()

  The L2 data cache. If a data cache has been explicitly set via the `setDataCache(com.solarmetric.kodo.runtime.datacache.DataCache)` method, it will be returned. Otherwise, if the data cache class has been set, a new instance of the class will be created and configured with any set data cache properties. This instance will be cached for subsequent calls to this method. Finally, if no data cache class is set, null is returned.

### setDataCache

    public void setDataCache(DataCache cache)

  The L2 data cache. Setting this property overrides any information set through `setDataCacheClass(java.lang.String)` and `setDataCacheProperties(java.lang.String)`. Note that the instance set will be held transiently.

### getQueryCacheClass

    public String getQueryCacheClass()

  The class to use for level-2 data store query caching.

### setQueryCacheClass

    public void setQueryCacheClass(String dataCacheClass)

  The class to use for level-2 data store query caching.

### getQueryCacheProperties

    public String getQueryCacheProperties()

  Configuration options for the query cache.

### setQueryCacheProperties

    public void setQueryCacheProperties(String props)

  Configuration options for the query cache.

### getQueryCache

    public QueryCache getQueryCache()

  The L2 query cache. If a query cache has been explicitly set via the `setQueryCache(com.solarmetric.kodo.runtime.datacache.query.QueryCache)` method, it will be returned. Otherwise, if the query cache class has been set, a new instance of the class will be created and configured with any set data cache properties. This instance will be cached for subsequent calls to this method. Finally, if no query cache class is set, null is returned.

### setQueryCache

    public void setQueryCache(QueryCache cache)

  The L2 query cache. Setting this property overrides any information set through `setQueryCacheClass(java.lang.String)` and `setQueryCacheProperties(java.lang.String)`. Note that the instance set will be held transiently.

### getProxyManagerClass

    public String getProxyManagerClass()

  The manager for second class object proxies.

### setProxyManagerClass

    public void setProxyManagerClass(String proxyClass)

  The manager for second class object proxies.

### getProxyManagerProperties

    public String getProxyManagerProperties()

  Configuration for the proxy manager.

### setProxyManagerProperties

    public void setProxyManagerProperties(String props)

  Configuration for the proxy manager.

### getProxyManager

    public ProxyManager getProxyManager()

  The proxy manager. If a proxy manager has been explicitly set via the `setProxyManager(com.solarmetric.kodo.util.ProxyManager)` method, it will be returned. Otherwise, if the data manager class has been set, a new instance of the class will be created and configured with any set proxy manager properties. This instance will be cached for subsequent calls to this method. Finally, if no proxy manager class is set, null is returned.

### setProxyManager

    public void setProxyManager(ProxyManager manager)

  The proxy manager. Setting this property overrides any information set through `setProxyManagerClass(java.lang.String)` and `setProxyManagerProperties(java.lang.String)`. Note that the instance set will be held transiently.

### getOptimistic

    public boolean getOptimistic()

  The default Optimistic setting for all PersistenceManager instances obtained from this factory.

### setOptimistic

    public void setOptimistic(boolean optimistic)

  The default Optimistic setting for all PersistenceManager instances obtained from this factory.

### setOptimistic

    public void setOptimistic(Boolean optimistic)

  Wrapper setter for `setOptimistic(boolean)`.

### getRetainValues

    public boolean getRetainValues()

  The default RetainValues setting for all PersistenceManager instances obtained from this factory.

### setRetainValues

    public void setRetainValues(boolean retainValues)

  The default RetainValues setting for all PersistenceManager instances obtained from this factory.

### setRetainValues

    public void setRetainValues(Boolean retainValues)

  Wrapper setter for `setRetainValues(boolean)`.

### getRestoreValues

    public boolean getRestoreValues()

  The default RestoreValues setting for all PersistenceManager instances obtained from this factory.

### setRestoreValues

    public void setRestoreValues(boolean restoreValues)

  The default RestoreValues setting for all PersistenceManager instances obtained from this factory.

### setRestoreValues

    public void setRestoreValues(Boolean restoreValues)

  Wrapper setter for `setRestoreValues(boolean)`.

### getIgnoreCache

    public boolean getIgnoreCache()

  The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.

### setIgnoreCache

    public void setIgnoreCache(boolean ignoreCache)

  The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.

### setIgnoreCache

    public void setIgnoreCache(Boolean ignoreCache)

  Wrapper setter for `setIgnoreCache(boolean)`.

### getNontransactionalRead

    public boolean getNontransactionalRead()

  The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.

### setNontransactionalRead

    public void setNontransactionalRead(boolean ntRead)

  The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.

### setNontransactionalRead

    public void setNontransactionalRead(Boolean ntRead)

  Wrapper setter for `setNontransactionalRead(boolean)`.

### getNontransactionalWrite

    public boolean getNontransactionalWrite()

  The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.

### setNontransactionalWrite

    public void setNontransactionalWrite(boolean ntWrite)

  The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.

### setNontransactionalWrite

    public void setNontransactionalWrite(Boolean ntWrite)

  Wrapper setter for `setNontransactionalWrite(boolean)`.

### getMultithreaded

    public boolean getMultithreaded()

  The default Multithreaded setting for all PersistenceManager instances obtained from this factory.

### setMultithreaded

    public void setMultithreaded(boolean multithreaded)

  The default Multithreaded setting for all PersistenceManager instances obtained from this factory.

### setMultithreaded

    public void setMultithreaded(Boolean multithreaded)

  Wrapper setter for `setMultithreaded(boolean)`.

### getConnectionUserName

    public String getConnectionUserName()

  The user name for the data store connection.

### setConnectionUserName

    public void setConnectionUserName(String connectionUserName)

  The user name for the data store connection.

### getConnectionPassword

    public String getConnectionPassword()

  The password for the data store connection.

### setConnectionPassword

    public void setConnectionPassword(String connectionPassword)

  The password for the data store connection.

### getConnectionURL

    public String getConnectionURL()

  The URL for the data store connection.

### setConnectionURL

    public void setConnectionURL(String connectionURL)

  The URL for the data store connection.

### getConnectionDriverName

    public String getConnectionDriverName()

  Class name of the Connection Driver.

### setConnectionDriverName

    public void setConnectionDriverName(String driverName)

  Class name of the Connection Driver.

### getPersistenceManagerFactoryClass

    public String getPersistenceManagerFactoryClass()

  Class name of the PersistenceManagerFactoryClass implementation

### setPersistenceManagerFactoryClass

    public void setPersistenceManagerFactoryClass(String pmfName)

  Class name of the PersistenceManagerFactoryClass implementation.

### getConnectionFactoryName

    public String getConnectionFactoryName()

  The name for the data store connection factory.

### setConnectionFactoryName

    public void setConnectionFactoryName(String cfName)

  The name for the data store connection factory.

### getConnectionFactory

    public Object getConnectionFactory()

  The connection factory, possibly from JNDI.

### setConnectionFactory

    public void setConnectionFactory(Object factory)

  The connection factory.

### getConnectionFactory2Name

    public String getConnectionFactory2Name()

  The name for the second data store connection factory.

### setConnectionFactory2Name

    public void setConnectionFactory2Name(String cf2Name)

  The name for the second data store connection factory.

### getConnectionFactory2

    public Object getConnectionFactory2()

  The connection factory, possibly from JNDI.

### setConnectionFactory2

    public void setConnectionFactory2(Object factory)

  The connection factory.

### getConnectionFactory2Properties

    public String getConnectionFactory2Properties()

  Property String to use to configure the ConnectionFactory2.

### setConnectionFactory2Properties

    public void setConnectionFactory2Properties(String props)

  Property String to use to configure the ConnectionFactory2.

### getMaxPool

    public int getMaxPool()

  The maximum number of connections in the connection pool.

### setMaxPool

    public void setMaxPool(int maxPool)

  The maximum number of connections in the connection pool.

### setMaxPool

    public void setMaxPool(Integer maxPool)

  Wrapper setter for `setMaxPool(int)`.

### getMinPool

    public int getMinPool()

  The minimum number of connections in the connection pool.

### setMinPool

    public void setMinPool(int minPool)

  The minimum number of connections in the connection pool.

### setMinPool

    public void setMinPool(Integer minPool)

  Wrapper setter for `setMinPool(int)`.

### getMsWait

    public int getMsWait()

  The number of milliseconds to wait for an available connection from the connection pool before throwing a JDODatastoreException.

### setMsWait

    public void setMsWait(int msWait)

  The number of milliseconds to wait for an available connection from the connection pool before throwing a JDODatastoreException.

### setMsWait

    public void setMsWait(Integer msWait)

  Wrapper setter for `setMsWait(int)`.

### getDefaultFetchThreshold

    public int getDefaultFetchThreshold()

  Get the threshold below which result lists will be completely instantiated upon theircreation.

### setDefaultFetchThreshold

    public void setDefaultFetchThreshold(int threshold)

  Set the threshold below which result lists will be completely instantiated upon their creation.

### setDefaultFetchThreshold

    public void setDefaultFetchThreshold(Integer threshold)

  Wrapper setter for `setDefaultFetchThreshold(int)`.

### getDefaultFetchBatchSize

    public int getDefaultFetchBatchSize()

  Get the size of the batch that will be pre-selected when accessing elements in a Query result.

### setDefaultFetchBatchSize

    public void setDefaultFetchBatchSize(int size)

  Set the size of the batch that will be pre-selected when accessing elements in a Query result.

### setDefaultFetchBatchSize

    public void setDefaultFetchBatchSize(Integer size)

  Wrapper setter for `setDefaultFetchBatchSize(int)`.

### getQueryFilterListeners

    public String getQueryFilterListeners()

  Set the FilterListeners properties

### setQueryFilterListeners

    public void setQueryFilterListeners(String props)

  Set the FilterListeners config properties

### getQueryFilterListenerInstances

    public FilterListener[] getQueryFilterListenerInstances()

  set the FilterListeners properties

### setQueryFilterListenerInstances

    public void setQueryFilterListenerInstances(FilterListener[] listeners)

  Set the FilterListeners config properties

### getEnableQueryExtensions

    public boolean getEnableQueryExtensions()

  Allow filter extensions to be used

### setEnableQueryExtensions

    public void setEnableQueryExtensions(boolean enable)

  Set whether filter extensions can be used

### setEnableQueryExtensions

    public void setEnableQueryExtensions(Boolean enable)

  Wrapper setter for `setEnableQueryExtensions(boolean)`.

### getCacheReferenceSize

    public int getCacheReferenceSize()

  Returns the number of hard references to objects that the `PersistenceManager`'s cache will retain. `-1` to maintain hard refs to all objects in the cache.

### setCacheReferenceSize

    public void setCacheReferenceSize(int size)

  Set the number of hard references to objects that the `PersistenceManager`'s cache will retain.

### setCacheReferenceSize

    public void setCacheReferenceSize(Integer size)

  Wrapper setter for `setCacheReferenceSize(int)`.

### setUseSoftTransactionCache

    public void setUseSoftTransactionCache(boolean val)

  Set whether or not the `PersistenceManager` should maintain soft references to objects in the transactional cache.

### setUseSoftTransactionCache

    public void setUseSoftTransactionCache(Boolean val)

  Wrapper setter for `setUseSoftTransactionCache(boolean)`.

### getConnectionPropertiesProps

    public Properties getConnectionPropertiesProps()

  Returns the ConnectionFactory properties as a `Properties` object.

### setConnectionProperties

    public void setConnectionProperties(String connectionProperties)

  Set the properties string to apply to the connection factory.

### getConnectionProperties

    public String getConnectionProperties()

  Get the properties string to apply to the connection factory.

### setPersistentTypes

    public void setPersistentTypes(String types)

  Sets a list of persistent types that are to be registered every time a `PersistenceManager` is obtained from a `PersistenceManagerFactory`.
  Since:
    2.4.1

### getPersistentTypes

    public String getPersistentTypes()

  Returns a list of persistent types that are to be registered every time a `PersistenceManager` is obtained from a `PersistenceManagerFactory`.
  Since:
    2.4.1

### getPersistentTypeNames

    public String[] getPersistentTypeNames()

  Returns an array of names of the persistent types in the PersistentTypes property, or null if no types were listed in the property.
  Since:
    2.4.1
  See Also:
    `getPersistentTypes()`

### setFetchGroups

    public void setFetchGroups(String groups)

  Sets a list of fetch groups with which all `PersistenceManager` objects obtained from a `PersistenceManagerFactory` should be configured.
  Since:
    2.5.0

### getFetchGroups

    public String getFetchGroups()

  Returns a list of fetch groups with which all `PersistenceManager` objects obtained from a `PersistenceManagerFactory` should be configured.
  Since:
    2.5.0

### getFetchGroupNames

    public String[] getFetchGroupNames()

  Returns an array of fetch groups with which all `PersistenceManager` objects obtained from a `PersistenceManagerFactory` should be configured.
  Since:
    2.5.0
  See Also:
    `getFetchGroups()`

### setFlushBeforeQueries

    public void setFlushBeforeQueries(String flush)

  Sets whether or not Kodo should automatically flush modifications to the data store before executing queries. See the Kodo JDO Reference Guide for details.
  Since:
    2.5.0

### getFlushBeforeQueries

    public String getFlushBeforeQueries()

  Returns whether or not Kodo should automatically flush modifications to the data store before executing queries. See the Kodo JDO Reference Guide for details.
  Since:
    2.5.0

### getFlushBeforeQueriesMode

    public int getFlushBeforeQueriesMode()

  Returns one of `KodoQuery.FLUSH_ALWAYS_MODE`, `KodoQuery.FLUSH_NEVER_MODE`, or `KodoQuery.FLUSH_WITH_CONNECTION_MODE`, as determined by parsing the string returned by `getFlushBeforeQueries()`.
  Since:
    2.5.0

### getTransactionCacheClass

    public String getTransactionCacheClass()

  The class to use for the PM transaction cache. Must implement `StateManagerSet`.
  Since:
    2.5.0

### setTransactionCacheClass

    public void setTransactionCacheClass(String transactionCacheClass)

  The class to use for the PM transaction cache. Must implement `StateManagerSet`.
  Since:
    2.5.0

### getTransactionCacheProperties

    public String getTransactionCacheProperties()

  Configuration options for the PM transaction cache.
  Since:
    2.5.0

### setTransactionCacheProperties

    public void setTransactionCacheProperties(String props)

  Configuration options for the PM transaction cache.
  Since:
    2.5.0

### setTransactionMode

    public void setTransactionMode(String mode)

  Specifys the behavior of the transaction model. Possible values are:
  - direct: perform transaction operations directly.
  - xa: defer transaction operations to the managed environment's global XA-compliant transaction
  Since:
    2.5.0

### getTransactionMode

    public String getTransactionMode()

  Specifys the behavior of the transaction model. Possible values are:
  - direct: perform transaction operations directly.
  - xa: defer transaction operations to the managed environment's global XA-compliant transaction
  Since:
    2.5.0

### setResultListClass

    public void setResultListClass(String clsName)

  Sets the implementation of `ResultList` that will be used to return query results.
  Since:
    2.5.0

### getResultListClass

    public String getResultListClass()

  Returns the implementation of `ResultList` that will be used to return query results.
  Since:
    2.5.0

### setResultListProperties

    public void setResultListProperties(String props)

  Sets the property string that will be used to configure the resultlist specified by `setResultListClass(java.lang.String)`.
  Since:
    2.5.0

### getResultListProperties

    public String getResultListProperties()

  Returns the property string that will be used to configure the resultlist specified by `setResultListClass(java.lang.String)`.
  Since:
    2.5.0

### getTransactionModeIsXA

    public boolean getTransactionModeIsXA()

  Returns whether XA transactions should be used or not.
  Returns:
    true if XA transactions should be used
  See Also:
    `getTransactionMode()`

### getUseSoftTransactionCache

    public boolean getUseSoftTransactionCache()

  Return `true` if the `PersistenceManager` should maintain soft references to objects in the transactional cache.

### freeze

    public void freeze()

  Freeze this Configuration; if frozen, calls to any setter methods will throw a `JDOUserException`.

### isFrozen

    public boolean isFrozen()

  Return true if this Configuration has been frozen.

### toProperties

    public Properties toProperties()

  A Properties representation of this Configuration. Note that changes made to this Properties object will not be automatically reflected in this Configuration object.

### fromProperties

    public void fromProperties(Properties properties)

  Set this Configuration via the given Properties. Any keys missing from the given properties will not be set. Note that changes made to this Properties object will not be automatically reflected in this Configuration object.

### configurationClone

    public Configuration configurationClone()

  Return a new Configuration that is an exact copy of this one.

### clone

    public Object clone()

  Returns a clone of this Configuration. The clone will not have its configuration frozen, regardless of the original setting of the original.
  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.